Skip to main content
POST
/
api
/
agent
/
products
Upload product knowledge document
curl --request POST \
  --url https://www.citedy.com/api/agent/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "content": "<string>",
  "source_type": "upload",
  "source_name": "<string>",
  "source_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "source_type": "<string>",
  "chunks_count": 1,
  "chunks_failed": 1,
  "partial": true,
  "token_count": 1
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json
title
string
required
Required string length: 1 - 500
content
string
required
Required string length: 1 - 500000
source_type
enum<string>
default:upload
Available options:
upload,
url,
manual
source_name
string
Maximum string length: 500
source_url
string<uri>
Maximum string length: 2000

Response

Document uploaded and embedded

id
string<uuid>
required
title
string
required
source_type
string
required
chunks_count
integer
required
Required range: x >= 0
chunks_failed
integer
required
Required range: x >= 0
partial
boolean
required
token_count
integer
required
Required range: x >= 0